Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038172
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] J. Demo datatrivialhave not tried2018-03-19 18:352018-06-21 22:40
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision1bf2d3102c9c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038172: Sample data (F&B International Group Client) for 3.0PR18Q2

DescriptionFollowing the "How to evolve F&B" document instructions create the transactions of Jan., Feb. and Mar. 2018 in both organizations (US and Spain) for F&B International Group Client.
Steps To Reproduce1) In a clean instance with no modules, execute:
ant install.source
2) Execute ant update.database and execute ant export.sample.data -Dclient="F&B International Group" -Dmodule=org.openbravo. Commit the changes.
3) Create new transactions
4) Verify the inserted data
5) ant export.sample.data -Dclient="F&B International Group" -Dmodule=org.openbravo
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0103359)
AtulOpenbravo (developer)
2018-03-20 07:28
edited on: 2018-03-20 07:32

Test plan:

Quarter: 01-01-2018 to 31-03-2018

-Go to purchase order, filtered by the quarter records, check there are 6 purchase order F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 purchase orders to F&B US West Coast.
-Go to good receipt, filtered by the quarter records, check there are 6 good receipt F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 good receipt to F&B US West Coast.
-Go to purchase invoice, filter by the quarter, check there are 6 purchase invoice F&B US East Coast and 3 purchase invoice to F&B US West Coast.
-Go to purchase invoice, filter by the quarter records, check there are 12 service purchase invoice F&B US, Inc and 12 service purchase invoice to F&B España, S.A.
-Go to payment out and check the suppliers payments
-Go to Financial Account transaction and for F&B España, S.A. and F&B US, Inc ← Only check G/L Item “Sueldos y Salarios” or “Salaries”.
-Go to g/l journal and check the lines
-Go to sales order filter by the quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to goods shipment filter by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to sales invoice filtered by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to sales invoice, filtered <0 in days till next due. Notice that the applied filter resulted 0 records.
-Go to financial account check that there is 1 imported bank statements per quarter and check the reconciliation, to F&B España, S.A. in Cuenta de Banco and F&B US, Inc in Bank Account 1
- In Open/Close Period Control window check that periods are open for next 2 years. In this case 2019 and 2020.
- In Currency Conversion, check that conversion from USD to EUR and from EUR to USD is available for next 3 months. (April 2018 to Jun 2018).

(0103414)
hgbot (developer)
2018-03-22 09:29

Repository: erp/devel/pi
Changeset: dd9c043ee2f4735911e8103524e311f85b5f3f17
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Mar 19 23:43:37 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/dd9c043ee2f4735911e8103524e311f85b5f3f17 [^]

Related to Issue 0038172:Sample data (F&B International Group Client)
for 3.0PR18Q2

Changes prior to creating transactions for sample data for 3.0PR18Q2

---
M referencedata/sampledata/F_B_International_Group/AD_SEQUENCE.xml
M referencedata/sampledata/F_B_International_Group/AD_WINDOW_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINANCIAL_ACCOUNT.xml
M referencedata/sampledata/F_B_International_Group/M_INOUT.xml
M referencedata/sampledata/F_B_International_Group/OBUIAPP_PROCESS_ACCESS.xml
---
(0103415)
hgbot (developer)
2018-03-22 09:29

Repository: erp/devel/pi
Changeset: 1bf2d3102c9c4149e510febba8435f9f0834292e
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Mar 20 12:01:14 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/1bf2d3102c9c4149e510febba8435f9f0834292e [^]

Fixes Issue 38172:Sample data (F&B International Group Client)
for 3.0PR18Q2

Sample data (F&B International Group Client) for 3.0PR18Q2 for the
month of Jan., Feb. and Mar. 2018. Following the "How to evolve F&B"
document instructions transactions created for 3.0PR18Q2 release.

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_REQUEST.xml
M referencedata/sampledata/F_B_International_Group/AD_SEQUENCE.xml
M referencedata/sampledata/F_B_International_Group/AD_USER.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/C_CONVERSION_RATE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINE.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERTAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER_DISCOUNT.xml
M referencedata/sampledata/F_B_International_Group/C_PERIOD.xml
M referencedata/sampledata/F_B_International_Group/C_PERIODCONTROL.xml
M referencedata/sampledata/F_B_International_Group/C_PERIODCONTROL_LOG.xml
M referencedata/sampledata/F_B_International_Group/C_YEAR.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENTLINE.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINACC_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINANCIAL_ACCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROPOSAL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROP_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULE.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULEDETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_RECONCILIATION.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNAL.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALBATCH.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALLINE.xml
M referencedata/sampledata/F_B_International_Group/M_ATTRIBUTESETINSTANCE.xml
M referencedata/sampledata/F_B_International_Group/M_COSTING.xml
M referencedata/sampledata/F_B_International_Group/M_INOUT.xml
M referencedata/sampledata/F_B_International_Group/M_INOUTLINE.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHINV.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHPO.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_PENDING.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION_COST.xml
---
(0103416)
hgbot (developer)
2018-03-22 09:29

Repository: erp/devel/pi
Changeset: 3ba8c94f1fc1a484e4a587f88c6e39280b3c7908
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Mar 21 18:23:45 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3ba8c94f1fc1a484e4a587f88c6e39280b3c7908 [^]

Related to Issue 38172: Removed useless amortization records

---
M referencedata/sampledata/F_B_International_Group/A_AMORTIZATION.xml
M referencedata/sampledata/F_B_International_Group/A_AMORTIZATIONLINE.xml
M referencedata/sampledata/F_B_International_Group/A_ASSET.xml
---
(0103417)
hgbot (developer)
2018-03-22 09:29

Repository: erp/devel/pi
Changeset: 325935d2204ea2fac7b9d911b285fb5fa80ce3c0
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Mar 21 18:40:55 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/325935d2204ea2fac7b9d911b285fb5fa80ce3c0 [^]

Related to Issue 38172: Added Referenced Inventory Sampledata

Created a Big Box in España Norte with 1 box transactions and 1 partial unbox transaction.
The Box has two contents:
 * 1 Unit Vino Tinto 0,75L
 * 1 Unit Zumo de Naranja Bio 0,33L with Lot L0803

---
M referencedata/sampledata/F_B_International_Group/AD_SEQUENCE.xml
M referencedata/sampledata/F_B_International_Group/M_ATTRIBUTESETINSTANCE.xml
M referencedata/sampledata/F_B_International_Group/M_MOVEMENT.xml
M referencedata/sampledata/F_B_International_Group/M_MOVEMENTLINE.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION.xml
A referencedata/sampledata/F_B_International_Group/M_REFINVENTORY.xml
A referencedata/sampledata/F_B_International_Group/M_REFINVENTORY_TYPE.xml
---
(0103418)
vmromanos (developer)
2018-03-22 09:43

Code review + testing OK
(0103472)
hudsonbot (developer)
2018-03-23 21:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/42e5233f5207 [^]
Maturity status: Test
(0103473)
hudsonbot (developer)
2018-03-23 21:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/42e5233f5207 [^]
Maturity status: Test
(0103474)
hudsonbot (developer)
2018-03-23 21:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/42e5233f5207 [^]
Maturity status: Test
(0103475)
hudsonbot (developer)
2018-03-23 21:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/42e5233f5207 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-03-19 18:35 AtulOpenbravo New Issue
2018-03-19 18:35 AtulOpenbravo Assigned To => AtulOpenbravo
2018-03-19 18:35 AtulOpenbravo Modules => Core
2018-03-19 18:35 AtulOpenbravo Triggers an Emergency Pack => No
2018-03-19 18:35 AtulOpenbravo Issue generated from 0037473
2018-03-19 18:46 AtulOpenbravo Status new => scheduled
2018-03-20 07:28 AtulOpenbravo Note Added: 0103359
2018-03-20 07:29 AtulOpenbravo Note Edited: 0103359 View Revisions
2018-03-20 07:32 AtulOpenbravo Note Edited: 0103359 View Revisions
2018-03-22 09:29 hgbot Checkin
2018-03-22 09:29 hgbot Note Added: 0103414
2018-03-22 09:29 hgbot Checkin
2018-03-22 09:29 hgbot Note Added: 0103415
2018-03-22 09:29 hgbot Status scheduled => resolved
2018-03-22 09:29 hgbot Resolution open => fixed
2018-03-22 09:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1bf2d3102c9c4149e510febba8435f9f0834292e [^]
2018-03-22 09:29 hgbot Checkin
2018-03-22 09:29 hgbot Note Added: 0103416
2018-03-22 09:29 hgbot Checkin
2018-03-22 09:29 hgbot Note Added: 0103417
2018-03-22 09:43 vmromanos Review Assigned To => vmromanos
2018-03-22 09:43 vmromanos Note Added: 0103418
2018-03-22 09:43 vmromanos Status resolved => closed
2018-03-22 09:43 vmromanos Fixed in Version => 3.0PR18Q2
2018-03-23 21:22 hudsonbot Checkin
2018-03-23 21:22 hudsonbot Note Added: 0103472
2018-03-23 21:22 hudsonbot Checkin
2018-03-23 21:22 hudsonbot Note Added: 0103473
2018-03-23 21:22 hudsonbot Checkin
2018-03-23 21:22 hudsonbot Note Added: 0103474
2018-03-23 21:22 hudsonbot Checkin
2018-03-23 21:22 hudsonbot Note Added: 0103475
2018-06-21 22:40 AtulOpenbravo Issue cloned 0038810


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker